import { z } from "zod"

import { DynamicContentEnum } from "@/types/enums/dynamicContent"

export const dynamicContentSchema = z.object({
  component: z.enum(DynamicContentEnum.Headers.enums).nullish(),
})

export const dynamicContentRefsSchema = z.object({
  component: z.enum(DynamicContentEnum.Headers.enums).nullish(),
})
